<!--
  Generated template for the NewPostPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title>Crear publicación</ion-title>
    <ion-buttons end>
      <button ion-button [disabled]="!canShare" (click)="sharePost()">
        COMPARTIR
      </button>
    </ion-buttons>
  </ion-navbar>

</ion-header>


<ion-content>
  <ion-item no-lines class="my-item">
    <ion-thumbnail item-start>
      <preload-image [ratio]="{w:1, h:1}" [src]="loggedUser.image"></preload-image>
    </ion-thumbnail>
    <p class="user-fullname bold" no-margin>{{ loggedUser.first_name }} {{ loggedUser.last_name }}</p>
    <button ion-button small icon-start outline color="light-gray" style="font-size: 1rem; margin-top: 0">
      <ion-icon name="contacts"></ion-icon>
      Mis contactos
    </button>
  </ion-item>
  <div padding-horizontal>
    <ion-textarea [ngClass]="{'only-textarea': !postWithImage, 'image-textarea': postWithImage}" [placeholder]="placeholder" rows="1" (keyup)="validatePost()"
      [(ngModel)]="postContent">
    </ion-textarea>
  </div>

  <div *ngIf="image">
    <ion-grid no-padding>
      <ion-row no-padding>
        <ion-col col-12 no-padding>
          <button ion-button icon-only clear large color="white-footer" (click)="removeImage()"
            style="position: absolute; right: 0; z-index: 1;">
            <ion-icon name="close"></ion-icon>
          </button>
          <preload-image class="square-image" [ratio]="{w:1, h:1}" [src]="image"></preload-image>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>
</ion-content>

<ion-footer no-padding color="black-b">
  <ion-item no-lines class="item-footer-2">
    <p no-margin class="footer-text">Agregar a tu publicación</p>
    <div item-right class="no-margin-vertical">
      <ion-avatar style="display: inline-block !important" (click)="chooseImage()">
        <preload-image class="square-image" [ratio]="{w:1, h:1}" src="./assets/imgs/icons/image.png"></preload-image>
      </ion-avatar>
      <ion-avatar style="display: inline-block !important" (click)="openCamera()">
        <preload-image class="square-image" [ratio]="{w:1, h:1}" src="./assets/imgs/icons/camera.png"></preload-image>
      </ion-avatar>
    </div>
  </ion-item>
  <!--
  <div>
    <ion-item no-lines class="item-footer" (click)="chooseImage()">
      <ion-avatar item-start class="no-margin-vertical">
        <preload-image class="square-image" [ratio]="{w:1, h:1}" src="./assets/imgs/icons/image.png"></preload-image>
      </ion-avatar>
      <p no-margin class="footer-text">Foto</p>
    </ion-item>
    <ion-item no-lines class="item-footer" (click)="openCamera()">
      <ion-avatar item-start class="no-margin-vertical">
        <preload-image class="square-image" [ratio]="{w:1, h:1}" src="./assets/imgs/icons/camera.png"></preload-image>
      </ion-avatar>
      <p no-margin class="footer-text">Cámara</p>
    </ion-item>
  </div>
  -->
</ion-footer>